/*=====================================MainReset================================================*/

input,textarea{
    box-shadow: none;
}

input[type=text]::-ms-clear {
    display: none;
    width  : 0;
    height : 0;
}

input[type=text]::-ms-reveal {
    display: none;
    width  : 0;
    height : 0;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
}

q {
    quotes: "\201c""\201d";
}

[type='file'],
body p:empty,
body h1:empty,
body h2:empty,
body h3:empty,
body h4:empty,
body h5:empty,
body h6:empty,
body li:empty {
    display: none;
}

*::after,
*::before,
*::placeholder {
    transition: all .2s linear;
}

html *,
body *,
html *::after,
body *::after,
html *::before,
body *::before {
    margin       : 0;
    padding      : 0;
    border       : none;
    outline      : none;
    border-radius: 0;
    box-sizing   : border-box;
}

input,
textarea {
    border: 1px solid rgb(121, 133, 141);
    border-radius: 2px;
    font-size    : 16px;
    font-weight  : 400;
}

label,
button,
select,
input[type=submit] {
    cursor: pointer;
}

button {
    background: transparent;
}

textarea {
    resize  : none;
    overflow: auto;
}

a {
    text-decoration: none;
    color          : inherit;
}

img[src=""],
img[src="/"] {
    display: none;
}

img {
    object-fit: contain;
}

ul li {
    list-style: none;
}

ol li {
    list-style: decimal;
}